package com.yem.wm.rpt;

import kd.bos.algo.DataSet;
import kd.bos.algo.DataType;
import kd.bos.entity.report.AbstractReportListDataPlugin;
import kd.bos.entity.report.ReportQueryParam;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.QueryServiceHelper;

/**
 * @description 订单库存明细表
 */
public class OrderStoreDetailRptPlugin extends AbstractReportListDataPlugin {
    public static final String[] FIELDS = { "yem_material"};
    private static final DataType[] DATATYPES = { DataType.LongType };
    @Override
    public DataSet query(ReportQueryParam queryParam, Object arg1) throws Throwable {
        DataSet finish = QueryServiceHelper.queryDataSet(this.getClass().getName(), "yem_tracktaskconsole",
                "yem_es_materialinfo.yem_materiel.id "+FIELDS[0],
                new QFilter[]{new QFilter("billstatus", QCP.equals,"C")}, null)
                .groupBy(new String[]{"yem_material"}).finish();
        return finish;
    }
}
